# Poco::Net

# class HTTPRequestHandlerFactory

Library: Net
Package: HTTPServer
Header: Poco/Net/HTTPRequestHandlerFactory.h

## Description

A factory for HTTPRequestHandler objects. Subclasses must override the createRequestHandler() method.

## Member Summary

Member Functions: createRequestHandler

## Types

### Ptr

typedef Poco::SharedPtr < HTTPRequestHandlerFactory > Ptr;

## Constructors

### HTTPRequestHandlerFactory

HTTPRequestHandlerFactory();

Creates the HTTPRequestHandlerFactory.

## Destructor

### ~HTTPRequestHandlerFactory

virtual ~HTTPRequestHandlerFactory();

Destroys the HTTPRequestHandlerFactory.

## Member Functions

### createRequestHandler

virtual HTTPRequestHandler * createRequestHandler(
const HTTPServerRequest & request
) = 0;

Must be overridden by sublasses.

Creates a new request handler for the given HTTP request.